## org.apache.commons.collections.keyvalue
Class DefaultMapEntry

    java.lang.Object
      org.apache.commons.collections.keyvalue.AbstractKeyValue
          org.apache.commons.collections.keyvalue.AbstractMapEntry
              org.apache.commons.collections.keyvalue.DefaultMapEntry

All Implemented Interfaces:
  java.util.Map.Entry, KeyValue

    public final class DefaultMapEntry

extends AbstractMapEntry

A restricted implementation of `Map.Entry` that prevents the `Map.Entry` contract from being broken.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  James Strachan, Michael A. Smith, Neil O'Toole, Stephen Colebourne

Field Summary

Fields inherited from class org.apache.commons.collections.keyvalue.AbstractKeyValue
`key, value`

Constructor Summary
`DefaultMapEntry(KeyValue pair)` Constructs a new entry from the specified `KeyValue`.
`DefaultMapEntry(java.util.Map.Entry entry)` Constructs a new entry from the specified `Map.Entry`.
`DefaultMapEntry(java.lang.Object key, java.lang.Object value)` Constructs a new entry with the specified key and given value.

Method Summary

Methods inherited from class org.apache.commons.collections.keyvalue.AbstractMapEntry
`equals, hashCode, setValue`

Methods inherited from class org.apache.commons.collections.keyvalue.AbstractKeyValue
`getKey, getValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map.Entry
`getKey, getValue`

Constructor Detail

### DefaultMapEntry

    public DefaultMapEntry(java.lang.Object key,
                           java.lang.Object value)

  Constructs a new entry with the specified key and given value.

  Parameters:
    `key` - the key for the entry, may be null
    `value` - the value for the entry, may be null

### DefaultMapEntry

    public DefaultMapEntry(KeyValue pair)

  Constructs a new entry from the specified `KeyValue`.

  Parameters:
    `pair` - the pair to copy, must not be null
  Throws:
    `java.lang.NullPointerException` - if the entry is null

### DefaultMapEntry

    public DefaultMapEntry(java.util.Map.Entry entry)

  Constructs a new entry from the specified `Map.Entry`.

  Parameters:
    `entry` - the entry to copy, must not be null
  Throws:
    `java.lang.NullPointerException` - if the entry is null

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.